const mockConfig = require('./mockData.js');

const mockObj = {
  getList: function() {
    return mockConfig.getMockDataList();
  },

  getData: function(key) {
    return mockConfig.getMockData(key);
  },

  add: function(key, config) {
    return mockConfig.addMockData(key, config);
  },

  remove: function(key) {
    return mockConfig.removeMockData(key);
  },

  isDev: function() {
    return process.env.NODE_ENV === 'development';
  },

  getServerUrl: function() {
    return 'http://localhost:3001';
  }
};

module.exports = mockObj;
